Bug 244704 - Review Request: bontmia - Backup over network to multiple incremental archives
Review Request: bontmia - Backup over network to multiple incremental archives
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tyler Owen
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-06-18 13:25 EDT by Terje Røsten
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-03 14:55:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tyler.l.owen: fedora‑review+
tibbs: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2007-06-18 13:25:07 EDT
Spec URL: http://web.phys.ntnu.no/~terjeros/bontmia/bontmia.spec
SRPM URL:  http://web.phys.ntnu.no/~terjeros/bontmia/bontmia-0.14-1.fc7.src.rpm
A disk based backup system which provides a complete snapshot of
backed up directories. Using a clever hardlink and rsync trick,
the backup is fast and space efficient.
Comment 1 Tyler Owen 2007-06-19 19:52:38 EDT
This is not an official review as I am not sponsored yet.

Looks good.
Package builds, installs and runs on F7

 OK - Mock : Built on F-7 (x86)
 OK - Package meets naming and packaging guidelines
 OK - Spec file matches base package name.
 OK - Spec has consistant macro usage.
 OK - Meets Packaging Guidelines.
 OK - License field in spec matches
 OK - License is GPL
 OK - License match packaging policy licenses allowed
 OK - License file is included in package
 OK - Spec in American English
 OK - Spec is legible.
 OK - Sources SHOULD match upstream md5sum:
6b97833d6b897fe0120bd0c0964da0c2  bontmia-0.14.tar.gz
 OK - Package has correct buildroot.
 OK - BuildRequires are not redundant.
 OK - %build and %install stages are correct and work.
 OK - Package has %defattr and permissions on files is good.
 OK - Package has a correct %clean section.
 OK - Package is code or permissible content.
 OK - Packages %doc files don't affect runtime.
 OK - No large doc files
 OK - Package has no duplicate files in %files.
 OK - Package doesn't own any directories that other packages own.
 OK - Changelog section is correct. 

 OK - Should function as described.
 OK - Should package latest version

Rpmlint output:
OK - silent on both srpm and main package rpm
Comment 2 Tyler Owen 2007-07-15 22:41:00 EDT
Now that I am sponsored, I will perform the review
Comment 3 Tyler Owen 2007-07-15 22:53:00 EDT
Package looks good

     This package (bontmia) is APPROVED by me
Comment 4 Tyler Owen 2007-07-27 08:36:33 EDT

Do you still want this package to be in Fedora?
Comment 5 Terje Røsten 2007-07-31 05:09:54 EDT
> ping?  
> Do you still want this package to be in Fedora?

Summer vacation...

Thanks for the review!

New Package CVS Request
Package Name: bontmia
Short Description:  Backup over network to multiple incremental archives
Owners: terjeros@phys.ntnu.no
Branches: FC-6 F-7
Comment 6 Jason Tibbitts 2007-07-31 11:16:40 EDT
CVS done.
Comment 7 Terje Røsten 2007-08-03 14:55:55 EDT
Bodhi stuff done, closing.

Note You need to log in before you can comment on or make changes to this bug.